using System;

namespace Sudar_Brojeva
{
    class Program
    {
        static void Main(string[] args)
        {

            int x = int.Parse(Console.ReadLine());
            int y = int.Parse(Console.ReadLine());

            int broj = 0;
            int multiplier = 1;

            Resi(x, y, multiplier, ref broj);
            Console.WriteLine(broj);

        }
        static int Resi(int x,int y,int multiplier,ref int broj)
        {
            if (x == 0 && y == 0) return broj;

            if (x == 0)
            {
                broj += y*multiplier;
                return broj;
            }
            if (y == 0)
            {
                broj += x*multiplier;
                return broj;
            }

            if (x % 10 == y % 10)
            {
                broj += (x % 10) * multiplier + (y%10)*(multiplier*10);
                Resi(x / 10, y / 10, multiplier * 100, ref broj);
            }
            else if (x % 10 > y % 10)
            {
                broj += (x%10) * multiplier;
                Resi(x / 10, y / 10, multiplier*10,ref broj);
            }
            else if(y % 10 > x % 10)
            {
                broj += (y%10) * multiplier;
                Resi(x / 10, y / 10, multiplier*10,ref broj);
            }
            return -1;
        }
    }
}